%define major 0
%define libname %mklibname filezilla %{major}
%define devname %mklibname filezilla -d

Summary:	Small and modern C++ library
Name:		libfilezilla
Version:	0.4.0.1
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		https://lib.filezilla-project.org/
Source0:	http://sourceforge.net/projects/filezilla/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libfilezilla-0.4.0.1-lstat.patch
BuildRequires:	doxygen
BuildRequires:	graphviz

# needed for testsuite
BuildRequires:	locales-en
BuildRequires:	pkgconfig(cppunit)

%description
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Small and modern C++ library
Group:		System/Libraries

%description -n %{libname}
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Header files for development with %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%doc doc/doxygen-doc/*
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--disable-static
%make

pushd doc
make html
popd

%install
%make_install

%check
LC_ALL=en_US.UTF-8 \
make check


%changelog

* Sat Jun 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.4.0.1-2
- (d178833) Add patch to fix issue with lstat (Value too large for defined data type)


